# ServiceExtensionResponse class

A response to a service protocol extension RPC.

If the RPC was successful, use ServiceExtensionResponse.result, otherwise use ServiceExtensionResponse.error.

## Constructors

ServiceExtensionResponse.error(int errorCode, String errorDetail)
  Creates an error response to a service protocol extension RPC. [...]
ServiceExtensionResponse.result(String result)
  Creates a successful response to a service protocol extension RPC. [...]

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

extensionError → const int
  Generic extension error code.
  `-32000`
extensionErrorMax → const int
  Maximum extension provided error code.
  `-32000`
extensionErrorMin → const int
  Minimum extension provided error code.
  `-32016`
invalidParams → const int
  Invalid method parameter(s) error code.
  `-32602`
kExtensionError → const int
  Generic extension error code.
  `extensionError`
kExtensionErrorMax → const int
  Maximum extension provided error code.
  `extensionErrorMax`
kExtensionErrorMin → const int
  Minimum extension provided error code.
  `extensionErrorMin`
kInvalidParams → const int
  Invalid method parameter(s) error code.
  `invalidParams`